/// <reference types="node" />
import { Client, Subscription } from 'aedes';
import { Ecies } from 'eccrypto';
import { Buffer } from 'buffer';
export declare class SecureClient {
    baseClient: Client;
    inputPrivateKey: Buffer;
    inputPublicKey: Buffer;
    outputPrivateKey: Buffer;
    outputPublicKey: Buffer;
    subscription: Array<Subscription>;
    constructor(baseClient: Client);
    decryptInput(data: Ecies): Promise<Buffer>;
    encryptOutput(data: Buffer): Promise<Ecies>;
    private generateKey;
}
