"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecureClient = void 0;
const eccrypto_1 = __importDefault(require("eccrypto"));
class SecureClient {
    constructor(baseClient) {
        this.baseClient = baseClient;
        this.subscription = [];
        this.generateKey();
    }
    decryptInput(data) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield eccrypto_1.default.decrypt(this.inputPrivateKey, data);
        });
    }
    encryptOutput(data) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield eccrypto_1.default.encrypt(this.outputPublicKey, data);
        });
    }
    generateKey() {
        this.inputPrivateKey = eccrypto_1.default.generatePrivate();
        this.inputPublicKey = eccrypto_1.default.getPublic(this.inputPrivateKey);
        this.outputPrivateKey = eccrypto_1.default.generatePrivate();
        this.outputPublicKey = eccrypto_1.default.getPublic(this.outputPrivateKey);
    }
}
exports.SecureClient = SecureClient;
//# sourceMappingURL=client.js.map